# nixvim-config

## Installation

Add the following to the `inputs` section of your flake.nix:

```nix
inputs = {
  nixvim-config.url = "github:homefree/nixvim-config";
};
```

And add the following to the outputs:

```nix
outputs = { ... }@inputs: {
  nixosConfigurations = {
    <hostname> = inputs.nixpkgs.lib.nixosSystem {
      modules = [
        inputs.nixvim-config.nixosModules.default
        {
          nixvim-config.enable = true;
        }
      ];
    };
  };
}
```
